Đến nội dung


Hình ảnh
- - - - -

Nhờ Viết Lisp Khắc Phục Lỗi Copy


  • Please log in to reply
2 replies to this topic

#1 taipham

taipham

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 05 October 2015 - 01:04 PM

(defun c:scc ()
(command ".layout" "copy" "" "" "")
(command ".layout" "delete" "" "" "")
(command ".layout" "rename" "<Layout1 (2)>" "<Layout1>")
(princ)  
) 

Nhờ các anh chị sửa giúp đoạn code trên, mục đích em muốn copy cái Layuot1 thành Layout1 (2), sau đó xóa Layout1 (gốc), rồi đổi tên Layuot1 (2) thành Layout1. Do khả năng còn yếu nên mong anh chị giúp đỡ!


  • 0

#2 anti lazy

anti lazy

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 05 October 2015 - 01:27 PM

Bỏ các dấu <>

Tuy nhiên nên viết đầy đủ:

(defun c:scc ()
(command ".layout" "copy" "Layout1" "Layout1 (2)" "")
(command ".layout" "delete" "Layout1" "" "")
(command ".layout" "rename" "Layout1 (2)" "Layout1")
(princ)

  • 0

#3 taipham

taipham

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 05 October 2015 - 01:42 PM

 

Bỏ các dấu <>

Tuy nhiên nên viết đầy đủ:

(defun c:scc ()
(command ".layout" "copy" "Layout1" "Layout1 (2)" "")
(command ".layout" "delete" "Layout1" "" "")
(command ".layout" "rename" "Layout1 (2)" "Layout1")
(princ)

Oke, thanks anti lazy nhiều nhé! :)


  • 0